List knowledgebases
const url = 'https://app.prefactorai.com/api/v1/knowledgebase?account_id=013xrzp12g3nqk8ns6jadrqmpgrjkeny';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.prefactorai.com/api/v1/knowledgebase?account_id=013xrzp12g3nqk8ns6jadrqmpgrjkeny' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”A valid account ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyAccount ID (defaults to token’s account)
Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, name.
Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, name.
Zero-based offset of the first item to return.
Number of items to return per page (1-100).
Responses
Section titled “Responses”Success
object
Pagination information
object
The total number of items
The index of the last item in the page (one-based)
The index of the first item in the page (one-based)
The total number of pages
The index of the current page (one-based)
The offset of the first item in the page (zero-based)
The number of items per page
Null
Response status when the query succeeds
Knowledgebases visible to the caller for this account
Summary of a knowledgebase for list responses
object
A valid account ID
Number of active documents
A valid knowledgebase ID
Knowledgebase name
Number of the revision agents read. It starts at 0 when the knowledgebase is created and increases by one for each document change. Agents read the revision with this number, which is always the latest revision.
Whether this knowledgebase is active or archived
Type of resource (always ‘knowledgebase’)
Example
{ "pagination": { "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80 }, "sorting": null, "status": "success", "summaries": [ { "account_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "active_document_count": 4, "description": "Policies and runbooks", "id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "name": "Engineering notes", "revision_number": 3, "status": "active", "type": "knowledgebase" } ]}default
Section titled “default”Error
object
object
object
object
Milliseconds until the client may retry.
object
A valid knowledgebase document revision ID
Example
{ "code": "bad_request", "status": "error"}